@charset "UTF-8";

html[dir="rtl"] {
    direction: rtl;
}

html[dir="rtl"] body,
html[dir="rtl"] body input ,
html[dir="rtl"] body select ,
html[dir="rtl"] body textarea,
html[dir="rtl"] body button {
    font-family: IRANSans, Tahoma, Arial, Helvetica, sans-serif;
}

@media (pointer: coarse), (hover: none) {
    [title] {
        position: relative;

    }

    [title]:focus::after {
        content: attr(title);
        position: absolute;
        bottom: 90%;
        color: #000;
        background-color: #fff;
        border: 1px solid;
        border-radius: 4px;
        width: fit-content;
        padding: 3px;
        z-index: 1;
        overflow: hidden;
        white-space: pre;
        height: auto;
        line-height: 18px;
    }

    html[dir="ltr"] [title]:focus::after {
        left: 0;
    }

    html[dir="rtl"] [title]:focus::after {
        right: 0;
    }
}

.page-header-gap {
    min-height: 56px;
}

.moduleCapsule {
    padding: 10px 0;
    margin-bottom: env(safe-area-inset-bottom);
    margin-top: env(safe-area-inset-top);
}

.moduleCapsule .center {
    text-align: center;
}

.moduleCapsule.extra-header-active {
    padding-top: 112px;
}

.moduleCapsule.full-height {
    min-height: 100vh;
}

.appHeader i {
    font-size: 22px;
}

.appBottomMenu .item {
    font-size: 24px;
}

input.phone-input {
    direction: ltr;
    height: 72px !important;
    font-size: 32px;
    font-weight: 700;
    padding: 0 15px !important;
    margin: auto;
}

input.verify-input.l-3 {
    max-width: 90px;
}

input.verify-input.l-4 {
    max-width: 120px;
}

input.verify-input.l-5 {
    max-width: 150px;
}

input.verify-input.l-6 {
    max-width: 180px;
}

input.verify-input.l-7 {
    max-width: 210px;
}

input.verify-input.l-8 {
    max-width: 240px;
}

input.verify-input.l-9 {
    max-width: 270px;
}

input.verify-input.l-10 {
    max-width: 300px;
}

.error-page {
    padding: 20px 16px;
}

.error-page .icon-box {
    font-size: 60px;
}

.error-page .title {
    margin-top: 10px;
    margin-bottom: 10px;
}

.error-page .fixed-footer.error-image {
    background: none;
    text-align: center;
    z-index: -1;
    margin-bottom: 60px;
}

.error-page .fixed-footer.error-image img {
    max-width: 512px;
    max-height: 512px;
    opacity: 10%;
    filter: grayscale(1);
    user-select: none;
}

@media (max-width: 800px) or (max-height: 768px) {
    .error-page .fixed-footer.error-image img {
        max-width: 300px;
        max-height: 300px;
    }
}

.modal .error-page .fixed-footer {
    position: inherit;
}

.modal .error-page .fixed-footer.error-image {
    margin: 0;
}

.modal .error-page .fixed-footer.error-image img {
    max-width: 100%;
    max-height: 100%;
}

html[dir="rtl"] .profileBox .in .text-muted {
    font-size: 13px;
}

.table tr.borderless th,
.table tr.borderless td {
    border-top: none !important;
}

.table tr.compact th,
.table tr.compact td {
    padding-top: 0;
    padding-bottom: 8px;
}

.invoice .invoice-person .phone {
    direction: ltr;
}

.invoice .invoice-person .invoice-to .phone {
    text-align: left;
}

html[dir="rtl"] .invoice .invoice-person .invoice-to .phone {
    text-align: right;
}

html[dir="rtl"] .invoice .invoice-from {
    text-align: left;
}

.invoice .invoice-from .invoice-from .phone {
    text-align: right;
}

html[dir="rtl"] .invoice .invoice-from .phone {
    text-align: left;
}

.invoice .invoice-detail .table tr th {
    border-bottom: 2px solid #000000;
    color: #A1A1A2;
    font-weight: 700;
}

.invoice .invoice-signature {
    min-height: 10px;
}

.invoice .invoice-bottom {
    font-size: 12px;
}

body.dark-mode-active .invoice.custom {
    color: inherit;
    background: #0F1C2F;
}

body.dark-mode-active .invoice.custom .invoice-person .invoice-to h4,
body.dark-mode-active .invoice.custom .invoice-person .invoice-from h4 {
    color: inherit;
}

.invoice.custom .invoice-page-header .invoice-logo img {
    height: 50px;
}

.invoice.custom .invoice-page-header .invoice-id {
    font-size: inherit;
    color: inherit;
}

.invoice.custom .invoice-person .invoice-to,
.invoice.custom .invoice-person .invoice-from {
    font-size: inherit;
}

.invoice.custom .invoice-person .invoice-to .address,
.invoice.custom .invoice-person .invoice-from .address {
    font-size: 11px;
}

.invoice.custom .invoice-detail .table thead,
.invoice.custom .invoice-detail .table tbody {
    font-size: inherit;
    font-weight: inherit;
}

.invoice.custom .invoice-detail .table tr th {
    border-bottom-color: rgba(0, 0, 0, 0.08);
}

.invoice.custom .invoice-bottom {
    opacity: 0.8;
    font-size: 14px;
}

body.dark-mode-active .invoice.custom .invoice-detail .table tr th {
    border-bottom-color: rgba(255, 255, 255, 0.08);
}

body.dark-mode-active .invoice.custom .invoice-detail .table {
    border-bottom: 1px solid rgba(255, 255, 255, 0.08);
}

body.dark-mode-active .invoice.custom .invoice-detail .table tbody {
    color: inherit;
}

body.dark-mode-active .invoice.custom .invoice-total .listview {
    border-color: rgba(255, 255, 255, 0.08);
}

body.dark-mode-active .invoice.custom .invoice-total .listview li {
    color: inherit;
}

body.dark-mode-active .invoice.custom .invoice-total .listview li:after {
    background: rgba(255, 255, 255, 0.08);
}

#alerts {
    padding: 18px;
    text-align: left;
}

html[dir="rtl"] #alerts {
    text-align: right;
}

#alerts .alert {
    margin-top: 5px;
    max-width: calc(100vw - 36px);
}

#alerts .alert.ltr {
    text-align: left;
}

#alerts .alert.rtl {
    text-align: right;
}

#alerts .alert.fade {
    opacity: 1;
}

#alerts .alert a.close {
    float: right;
    padding: 0 0 0 10px;
    text-decoration: none;
    font-size: 20px;
    cursor: pointer;
}

#alerts .alert.rtl a.close {
    float: left;
    padding: 0 10px 0 0;
}

#alerts .alert pre {
    text-align: left;
    unicode-bidi: normal;
    margin: 0;
}

.progress-bar {
    height: inherit;
}

.table-striped[class*=' bg-'] > tbody > tr:nth-of-type(odd),
body.dark-mode-active .table-striped[class*=' bg-'] > tbody > tr:nth-of-type(odd) {
    background: rgba(0, 0, 0, 0.2) !important;
}

body.dark-mode-active .table-striped > tbody > tr:nth-of-type(odd) > * {
    color: #8195a6;
}

.table-striped[class*=' bg-'] > tbody > tr:nth-of-type(odd) > *,
body.dark-mode-active .table-striped[class*=' bg-'] > tbody > tr:nth-of-type(odd) > * {
    color: rgba(255, 255, 255, 0.7);
}

.table.table-sm>:not(caption) td,
.table.table-sm>:not(caption) th {
     padding: 12px .25rem;
}

.chip.chip-sm {
    font-size: 9px;
    height: 16px;
}

.chip.chip-sm .chip-icon {
    width: 16px;
    height: 16px;
}

html[dir="ltr"] .chip.chip-sm .chip-label {
    padding: 0 6px 0 1px;
}

html[dir="rtl"] .chip.chip-sm .chip-label {
    padding: 0 1px 0 6px;
}

.btn-lg.text-medium,
.btn-large.text-medium {
    padding: 3px 20px;
    font-size: 16px;
}

.modal-backdrop {
    opacity: 0.8;
}

.modal-content {
    border-color: rgba(255, 255, 255, 0.15);
}

body.dark-mode-active .modal hr {
    opacity: 1;
    background-color: rgb(73, 80, 87);
}

body.dark-mode-active .modal-content {
    background-color: rgb(33, 37, 41);
}

body.dark-mode-active .modal-header {
    border-bottom-color: rgb(73, 80, 87);
}

body.dark-mode-active .modal-header * {
    color: rgb(222, 226, 230);
}

.modal-header h1,
.modal-header h2,
.modal-header h3,
.modal-header h4,
.modal-header h5,
.modal-header h6,
.modal-header .btn-close {
    margin: 0;
}

body.dark-mode-active .modal-footer {
    border-top-color: rgb(73, 80, 87);
}

.modal-footer {
    justify-content: flex-start;
}

html[dir="ltr"] .modal-footer,
html[dir="rtl"] .modal-footer * {
    direction: rtl;
}

html[dir="rtl"] .modal-footer,
html[dir="ltr"] .modal-footer * {
    direction: ltr;
}

body.dark-mode-active .btn-close {
    filter: invert(1) grayscale(100%) brightness(200%);
}

body.dark-mode-active .btn {
    color: #fff;
}

.alert-error {
    background: #EC4433;
    color: #fff;
    border: 1px solid #EC4433;
}

.alert-error .alert-link{
    color: #6a1a21
}

.alert-error a {
    color: #fff !important;
    text-decoration: underline;
}

.alert-error .alert-title {
    color: #FFF;
}

.alert-error .close {
    color: #FFF;
}

#page-loader {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 99999;
    background: #FFF;
    display: flex;
    align-items: center;
    justify-content: center;
}

body.dark-mode-active #page-loader {
    background: #0c1624;
}

#page-loader .loading-icon {
    width: 42px;
    height: auto;
    animation: loadingAnimation 1s infinite;
}

.modal .form-footer:not(.full) .btn-block {
    width: auto;
}

.form-footer.full,
.modal .form-footer.full {
    width: 100%;
}

.alert .close {
    font-size: 20px;
    font-weight: bold;
    line-height: 20px;
    color: #000000;
    text-shadow: 0 1px 0 #ffffff;
    opacity: 0.4;
    filter: alpha(opacity = 20);
    position: relative;
    top: 1px;
    text-decoration: none;
    font-family: Tahoma, Arial, Geneva, sans-serif;
}

.alert .close:hover {
    opacity: 1;
}

html[dir="ltr"] .alert .close {
    float: right;
    right: -7px;
}

html[dir="rtl"] .alert .close {
    float: left;
    left: -7px;
}

html[dir="ltr"] .alert.rtl .close {
    left: inherit;
    right: -7px;
    float: right;
}

html[dir="rtl"] .alert.rtl .close {
    right: inherit;
    left: -7px;
    float: left;
}

.modal .alert.fade:not(.show) {
    opacity: 1;
}

.modal .alerts .alert {
    margin-bottom: 10px;
}

.image-listview > li .item.custom {
    padding: 30px 12px;
}

html[dir="ltr"] .image-listview > li .item.custom .in > span {
    text-align: left;
}

html[dir="rtl"] .image-listview > li .item.custom .in > span {
    text-align: right;
}

.image-listview > li .item.custom .in strong {
    font-size: 16px;
    line-height: 26px;
}

.fab {
    font-family: inherit !important;
}

.fab-button {
    z-index: 400;
}

html[dir="ltr"] .fab-button.text .fab > i+.addon {
    margin-left: 6px;
}

html[dir="rtl"] .fab-button.text .fab > i+.addon {
    margin-right: 6px;
}

.fab-button.bottom-side {
    position: fixed;
    bottom: 16px;
    margin-bottom: env(safe-area-inset-bottom);
}

html[dir="ltr"] .fab-button.bottom-side {
    right: 16px;
}

html[dir="rtl"] .fab-button.bottom-side {
    left: 16px;
}

.fab-button.top-side {
    position: fixed;
    top: 72px;
    margin-top: env(safe-area-inset-top);
}

html[dir="ltr"] .fab-button.top-side {
    right: 16px;
}

html[dir="rtl"] .fab-button.top-side {
    left: 16px;
}

.sidebar-buttons .button.side {
    justify-content: start;
}

.sidebar-buttons .button.side .text {
    font-size: 15px;
    margin: 0 16px;
}
